"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05300>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05440>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff053a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff054e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05580>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05620>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff056c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05760>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05800>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff058a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05940>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff059e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05a80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05b20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05bc0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05c60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05d00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05da0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05e40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05ee0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff05f80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06020>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff060c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06160>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06200>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff062a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06340>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff063e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06480>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06520>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff065c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06660>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06700>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff067a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06840>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff068e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06980>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06a20>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06ac0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06b60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06c00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06ca0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06d40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06de0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06e80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06f20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff06fc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07060>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07100>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff071a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07240>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff072e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07380>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07420>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff074c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07560>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07600>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff076a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07740>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff077e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07880>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07920>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff079c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07a60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07b00>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07ba0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07c40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07ce0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07d80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07e20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07ec0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff07f60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20040>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff200e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20180>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20220>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff202c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20360>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20400>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20540>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff204a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff205e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20680>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff20720>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb0ff207c0>)]
name: str = 'fr_HOCCN'
